
Ruby - Bug #5150

Ruby-trunk Crashed in running test-rubyspec

08/03/2011 04:13 AM - ayumin (Ayumu AIZAWA)

Status: Closed   

Priority: Normal   

Assignee: mrkn (Kenta Murata)   

Target version: 1.9.4   

ruby -v: ruby 1.9.4dev (2011-08-03 trunk 32821)

[x86_64-darwin10.8.0] 

Backport:  

Description

trunk をMac OS X 10.6.8 でBuildしたのち、test-rubyspec を実行したら Crash しました。

ruby のバージョンと環境は以下のとおり。

実行ログと~/Library/Logs/CrashReporter にあったファイルを添付します。

$ bin/ruby -v

ruby 1.9.4dev (2011-08-03 trunk 32821) [x86_64-darwin10.8.0]

$ uname -srv

Darwin 10.8.0 Darwin Kernel Version 10.8.0: Tue Jun  7 16:33:36 PDT 2011; root:xnu-1504.15.3~1/RELEASE_I386

Associated revisions

Revision a0b9f486 - 08/02/2011 10:46 PM - nobu (Nobuyoshi Nakada)

encoding.c (enc_find): mistakenly remained !.  [Bug #5150]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@32823 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 08/03/2011 04:14 AM - ayumin (Ayumu AIZAWA)

- File ruby_2011-08-03-035423_AyuminMacBook.crash added

#2 - 08/03/2011 07:42 AM - mrkn (Kenta Murata)

- Assignee set to mrkn (Kenta Murata)

#3 - 08/03/2011 07:46 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r32823.

Ayumu, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

encoding.c (enc_find): mistakenly remained !.  [Bug #5150]

Files

segv.log 60.4 KB 08/03/2011 ayumin (Ayumu AIZAWA)

ruby_2011-08-03-035423_AyuminMacBook.crash 19.6 KB 08/03/2011 ayumin (Ayumu AIZAWA)
